Commit b4a7d4ca authored by Till Brehm's avatar Till Brehm

Avoid postconf -M errors on old postfix versions.

parent 74739bf2
...@@ -812,7 +812,7 @@ class installer_base { ...@@ -812,7 +812,7 @@ class installer_base {
public function get_postfix_service($service, $type) { public function get_postfix_service($service, $type) {
global $conf; global $conf;
exec("postconf -M", $out, $ret); exec("postconf -M 2> /dev/null", $out, $ret);
if ($ret === 0) { //* with postfix >= 2.9 we can detect configured services with postconf if ($ret === 0) { //* with postfix >= 2.9 we can detect configured services with postconf
unset($out); unset($out);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment